termonad-4.0.0.1: Terminal emulator configurable in Haskell

Safe Haskell | None
Language | Haskell2010

Termonad.Keys

# Documentation

showKeys :: EventKey -> IO Bool Source #

data Key Source #

Constructors

Key |

Fields

- keyVal :: Word32
- keyMods :: Set ModifierType

#### Instances

Instances details

Eq Key Source # |
Instance details Defined in Termonad.Keys Methods (==) :: Key -> Key -> Bool Source # (/=) :: Key -> Key -> Bool Source #
Ord Key Source # |
Instance details Defined in Termonad.Keys Methods compare :: Key -> Key -> Ordering Source # (<) :: Key -> Key -> Bool Source # (<=) :: Key -> Key -> Bool Source # (>) :: Key -> Key -> Bool Source # (>=) :: Key -> Key -> Bool Source # max :: Key -> Key -> Key Source # min :: Key -> Key -> Key Source #
Show Key Source # |
Instance details Defined in Termonad.Keys Methods showsPrec :: Int -> Key -> ShowS Source # show :: Key -> String Source # showList :: [Key] -> ShowS Source #

toKey :: Word32 -> Set ModifierType -> Key Source #

keyMap :: Map Key (TMState -> IO Bool) Source #

stopProp :: (TMState -> IO a) -> TMState -> IO Bool Source #

removeStrangeModifiers :: Key -> Key Source #

handleKeyPress :: TMState -> EventKey -> IO Bool Source #